CREATE TABLE IF NOT EXISTS repo (
    id UUID PRIMARY KEY,
    repo_name VARCHAR(255) NOT NULL,
    project UUID NOT NULL,
    description TEXT,
    default_branch VARCHAR(255) NOT NULL,
    is_private BOOLEAN NOT NULL DEFAULT false,
    storage_path VARCHAR(255) NOT NULL,
    created_by UUID NOT NULL,
    created_at TIMESTAMPTZ NOT NULL,
    updated_at TIMESTAMPTZ NOT NULL
);

CREATE INDEX idx_repo_project ON repo (project);
CREATE INDEX idx_repo_repo_name ON repo (repo_name);
